LCD backlight adjustments do nothing after suspend.

Reported by Kyle Fazzari on 2012-09-24
36
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Dell Sputnik
Medium
Kamal Mostafa
linux (Ubuntu)
Medium
Kamal Mostafa
Quantal
Medium
Kamal Mostafa

Bug Description

I have the high-end Dell XPS 13, running the latest kamal8 kernel.

To reproduce:

1) Boot/reboot XPS.
2) Adjust screen brightness via Fn+F4/Fn+F4. Note that that the brightness adjustment notifications work fine, /sys/class/backlight/acpi_video0/brightness is updated correctly, and the brightness changes as expected.
3) Suspend machine (e.g. close the lid).
4) Wake machine up.
5) Try adjusting screen brightness again as in (2). Note that the brightness adjustment notifications again work fine, /sys/class/backlight/acpi_video0/brightness again updates correctly, but the brightness does NOT change at all.

Note that this bug was not present in the kamal6 kernel; I would say this is a regression.

Kyle Fazzari (kyle.f) on 2012-09-24
security vulnerability: no → yes
security vulnerability: yes → no

I can confirm this on a low-end config, but it occurs at boot for me. I don't have dell_laptop blacklisted.

Changed in dell-sputnik:
status: New → Confirmed
Kamal Mostafa (kamalmostafa) wrote :

@Kyle, I confirm this on my Dell XPS 13 also with the kamal8 kernel. (For reference, the same backlight patches went into the Ubuntu Quantal 3.5.0-15.22 kernel, so its surely broken the same way there).

@Daniel, are you saying that your brightness controls don't work at all (regardless of suspend/resume?). What machine exactly?

Changed in dell-sputnik:
assignee: nobody → Kamal Mostafa (kamalmostafa)

Kamal: I upgraded to kamal8 and rebooted. The backlight is at full brightness, with the brightness keys not doing anything. "/bin/echo 0 > /sys/class/backlight/intel_backlight/brightness" gets me back to a normal state. My machine is an XPS 13 base config (i5, 123GB SSD, A06 BIOS I believe). I forgot to test suspend/resume but would have to test that tonight at the earliest.

Kent Baxley (kentb) wrote :

Also confirmed on another XPS 13 system:

With the kamal8 kernel after the suspend, the OSD shows accordingly with the brightness hot key press, but the
brightness doesn't change.

Brightness can be changed via hotkey before and after suspend with kamal6. With kamal8, the brightness can only be adjusted before an S3.

Kyle Fazzari (kyle.f) wrote :

Daniel's comment reminded me: /sys/class/backlight/intel_backlight/brightness also changes correctly after suspend. The backlight simply doesn't change. The description has been updated accordingly.

description: updated
Kamal Mostafa (kamalmostafa) wrote :

This problem does also occur in Ubuntu Quantal 3.5.0-15.22. I've isolated this commit as the apparent cause of the problem:

  d56e635 drm/i915: don't forget the PCH backlight registers

This one isn't actually necessary for Sputnik backlight functionality at all, so I'll remove it from the Sputnik PPA kernel.

Due to additional problems observed with the whole patch set, we're going to remove them from the Ubuntu Quantal kernel as well, for the time being.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1055231

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: Incomplete → In Progress
Changed in dell-sputnik:
status: Confirmed → In Progress
Changed in dell-sputnik:
status: In Progress → Fix Committed
Chris Van Hoof (vanhoof) on 2012-09-24
Changed in dell-sputnik:
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-15.23

---------------
linux (3.5.0-15.23) quantal; urgency=low

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: don't forget the PCH backlight registers"
    - LP: #1053269, #1055231, #1055665
  * Revert "drm/i915: fix up PCH backlight #define mixup"
    - LP: #1053269, #1055665
  * Revert "drm/i915: allow pipe A for lvds on gen4"
    - LP: #1053269, #1055665
  * Revert "drm/i915: properly enable the blc controller on the right pipe"
    - LP: #1053269, #1055665
  * Revert "drm/i915: clear up backlight #define confusion on gen4+"
    - LP: #1053269, #1055665
  * Revert "drm/i915: pnv has a backlight polarity control bit, too"
    - LP: #1053269, #1055665
 -- Leann Ogasawara <email address hidden> Mon, 24 Sep 2012 12:33:26 -0700

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released
Kyle Fazzari (kyle.f) wrote :

This bug is fixed in kamal9. I won't change the bug status just yet as the i386 build isn't complete. Thanks Kamal! We appreciate your stressful day :) .

description: updated
Kyle Fazzari (kyle.f) on 2012-09-25
Changed in dell-sputnik:
status: Fix Committed → Fix Released
Dima Ryazanov (dima-gmail) wrote :

Is this fix released yet? I'm running kamal13, so I thought it means, I should already have the fix?

$ uname -a
Linux dima-xps 3.5.0-24-generic #37+kamal13~DellXPS-Ubuntu SMP Thu Feb 14 20:12:26 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Khalid Jones (khalidabuu) wrote :

I ALso am on the same version as Dima and am having the same issue. I thought it was fixed am i doing something wrong?

Andrew Bradley (arbradley1967) wrote :

This issue has appeared since I updated this morning, having noted that there were some changes to the Sputnik code. My version now is:

Linux [machine name] 3.2.0-38-generic #61+kamal13~DellXPS-Ubuntu SMP Tue Feb 19 23:04:43 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

The issue is that the backlight controls work fine, with OSD, from boot, but as soon as suspend or hibernate, the OSD works but the value is not getting through to the hardware & the screen stays at max.

My laptop is an XPS 13 i7 with 256GB SSD & 8MB memory.

I suspect this is a kernel leapfrog issue, but honestly am not 100% sure. I've never had this setup quite perfect (bluetooth always turns on after suspend); but the brightness has been working ever since I added the Sputnik PPAs.

Keep up the good work, it's much appreciated. Let me know if you need any more info.

Kamal Mostafa (kamalmostafa) wrote :

Yes, it looks like a recent change has broken backlight control after suspend. I'm looking into it.

Changed in dell-sputnik:
status: Fix Released → In Progress
Changed in linux (Ubuntu):
status: Fix Released → In Progress
Andrew Bradley (arbradley1967) wrote :

Kamal - if you want me to try anything, get logs/artifacts, let me know. Anything to help. Again, I appreciate the great work you've done on this project.

Borislav Slavov (borislav) wrote :

Hi Everyone,
Im also experiencing issues that strongly resemble this bug as of yesterday. Let me know how I can be of help if you need some logs.

Changed in linux (Ubuntu Quantal):
status: Fix Released → In Progress
Kamal Mostafa (kamalmostafa) wrote :

This is only a bug in the Sputnik kamal13 and kamal14 kernels; Not a bug in standard Ubuntu kernels (standard Quantal doesn't support XPS13 backlight at all, and it works properly in standard Raring).

Changed in linux (Ubuntu Quantal):
status: In Progress → Confirmed
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Kamal Mostafa (kamalmostafa) wrote :

This regression in the kamal13 and kamal14 Sputnik kernels is fixed as of the kamal15 version, which will become available within a few hours:

    https://launchpad.net/~canonical-hwe-team/+archive/sputnik-kernel

Changed in dell-sputnik:
status: In Progress → Fix Committed
Andrew Bradley (arbradley1967) wrote :

Seems to be working. Thanks!

Changed in dell-sputnik:
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers